Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST https://credzu.com/wp-json/credzu/v1/get-lead \
-H "Content-Type: application/json" \
-H "Authorization: Credzu-Key YOUR_API_KEY" \
-d '{
"lead_id": 44921
}'
<?php
$ch = curl_init("https://credzu.com/wp-json/credzu/v1/get-lead");
curl_setopt_array($ch, array(
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
"Content-Type: application/json",
"Authorization: Credzu-Key YOUR_API_KEY"
),
CURLOPT_POSTFIELDS => json_encode(array("lead_id" => 44921))
));
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($response);
{
"success": true,
"data": {
"id": 44921,
"partner_id": 1,
"partner_lead_id": "FBHL-55672",
"first_name": "John",
"last_name": "Smith",
"email": "john.smith@example.com",
"phone": "555-333-2222",
"fico_range": "580-619",
"loan_officer_id": "A.GLADSTONE",
"status": "contract_signed",
"created_at": "2025-01-15 10:30:00",
"updated_at": "2025-01-18 14:22:00"
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Lead not found"
}
}
Retrieve the current status and details of a specific lead
curl -X POST https://credzu.com/wp-json/credzu/v1/get-lead \
-H "Content-Type: application/json" \
-H "Authorization: Credzu-Key YOUR_API_KEY" \
-d '{
"lead_id": 44921
}'
<?php
$ch = curl_init("https://credzu.com/wp-json/credzu/v1/get-lead");
curl_setopt_array($ch, array(
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
"Content-Type: application/json",
"Authorization: Credzu-Key YOUR_API_KEY"
),
CURLOPT_POSTFIELDS => json_encode(array("lead_id" => 44921))
));
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($response);
{
"success": true,
"data": {
"id": 44921,
"partner_id": 1,
"partner_lead_id": "FBHL-55672",
"first_name": "John",
"last_name": "Smith",
"email": "john.smith@example.com",
"phone": "555-333-2222",
"fico_range": "580-619",
"loan_officer_id": "A.GLADSTONE",
"status": "contract_signed",
"created_at": "2025-01-15 10:30:00",
"updated_at": "2025-01-18 14:22:00"
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Lead not found"
}
}
true if the lead was foundShow Lead object properties
lead_received, contract_signed, mortgage_ready)curl -X POST https://credzu.com/wp-json/credzu/v1/get-lead \
-H "Content-Type: application/json" \
-H "Authorization: Credzu-Key YOUR_API_KEY" \
-d '{
"lead_id": 44921
}'
<?php
$ch = curl_init("https://credzu.com/wp-json/credzu/v1/get-lead");
curl_setopt_array($ch, array(
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
"Content-Type: application/json",
"Authorization: Credzu-Key YOUR_API_KEY"
),
CURLOPT_POSTFIELDS => json_encode(array("lead_id" => 44921))
));
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($response);
{
"success": true,
"data": {
"id": 44921,
"partner_id": 1,
"partner_lead_id": "FBHL-55672",
"first_name": "John",
"last_name": "Smith",
"email": "john.smith@example.com",
"phone": "555-333-2222",
"fico_range": "580-619",
"loan_officer_id": "A.GLADSTONE",
"status": "contract_signed",
"created_at": "2025-01-15 10:30:00",
"updated_at": "2025-01-18 14:22:00"
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Lead not found"
}
}
NOT_FOUND error.